<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-editors-writing-code.qdoc -->
  <title>Writing Code | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Writing Code</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-coding.html" />
  <link rel="next" href="creator-coding-navigating.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-coding.html">Coding</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-coding-navigating.html">Working in Edit Mode</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Writing Code</h1>
<span class="subtitle"></span>
<!-- $$$creator-editor-functions.html-description -->
<div class="descr"> <a name="details"></a>
<p>The Qt Creator code editor is fully equipped with semantic highlighting, syntax checking, code completion, code indentation, context sensitive help, and in-line error indicators while you are typing.</p>
<ul>
<li><a href="creator-coding-navigating.html">Working in Edit Mode</a><p>You can use the editor toolbar to navigate between open files and symbols in use. You can also split the view to work on several files simultaneously, add bookmarks, and move between symbol definitions and declarations.</p>
</li>
<li><a href="creator-highlighting.html">Semantic Highlighting</a><p>Qt Creator enables you to write well formatted code by highlighting code elements and blocks. You can use syntax highlighting also for other types of files than C++ or QML.</p>
</li>
<li><a href="creator-checking-code-syntax.html">Checking Code Syntax</a><p>Qt Creator checks for errors when you write code and displays inline error and warning messages. Similarly, it checks the data structure of an instance of a JavaScript object notation (JSON) entity. In addition, you can run static checks on the QML and JavaScript code in your project to find common problems.</p>
</li>
<li><a href="creator-completing-code.html">Completing Code</a><p>Qt Creator anticipates what you are going to write and completes code and code snippets for elements, properties, and IDs.</p>
</li>
<li><a href="creator-indenting-code.html">Indenting Text or Code</a><p>Qt Creator indents text and code according to rules that you specify separately for files that contain C++, QML, or Nim (experimental) code and for other text files.</p>
</li>
<li><a href="qt-quick-toolbars.html">Using Qt Quick Toolbars</a><p>When you edit QML code in the code editor, you specify the properties of QML components. For some properties, such as colors and font names, this is not a trivial task. For example, few people can visualize the color <code>#18793f</code>. To easily edit these properties, you can use the Qt Quick Toolbars.</p>
</li>
<li><a href="creator-editor-codepasting.html">Pasting and Fetching Code Snippets</a><p>You can cooperate with other developers by pasting and fetching snippets of code from a server. For example, you might ask colleagues to review a change that you plan to submit to a version control system.</p>
</li>
<li><a href="creator-macros.html">Using Text Editing Macros</a><p>When you have a file open in the code editor, you can record a keyboard sequence as a macro. You can then play the macro to repeat the sequence. You can save the latest macro and assign a keyboard shortcut for running it or run it from the locator.</p>
</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-diff-editor.html">Comparing Files</a><p>You can use a diff editor to compare two versions of a file and view the differences side-by-side in the <b>Edit</b> mode.</p>
</li>
<li><a href="creator-clang-codemodel.html">Parsing C++ Files with the Clang Code Model</a><p>The Clang code model provides some of the services previously provided by the built-in C/C++ code model, such as code completion, syntactic and semantic highlighting, diagnostics, tooltips, outline of symbols, and renaming of local symbols.</p>
</li>
</ul>
</div>
<!-- @@@creator-editor-functions.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-coding.html">Coding</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-coding-navigating.html">Working in Edit Mode</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
